
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {-webkit-appearance: none; margin: 0;}

/* Firefox */
input[type=number] {-moz-appearance: textfield;}

form select,
form select:focus {
	background-color: transparent;
	border: none;
	cursor: pointer;
	outline: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	text-indent: 1px;
	text-overflow: '';
	padding: 25px;

}

#searchform button{
	box-shadow: none;
}

#range {
    cursor: pointer;
}
span.icon-wrapper {
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translate(0px, -50%);
    line-height: 0px;
}
span.icon-wrapper img{
    width: 20px;
    height: 20px;
}
.form-group.dateInput{
    padding-right: 15px;
}
.form-group {
    display: inline-block;
    position: relative;
    min-width: 250px;
    padding-left: 45px;
}
#searchform .form-group{
    line-height: 80px;
}
.form-group.btn {
    height: 100%;
    position: absolute;
    right: 0px;
    top: 0px;
    z-index: 9999;
    bottom: 0;
    border: 1px solid var(--button-color);
    border-bottom-right-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0;
}
form#searchform input[type="submit"] {
    background: var(--beon-steel-color);
    /* background: var(--beon-steel-color) url('/wp-content/themes/krebs/assets/images/serch-icon.svg') no-repeat center center; */
    color: var(--beon-form-background);
    cursor: pointer;
    width: 200px;
    height: 80px;
    border-radius: 0;
    padding: 1rem;
    border: 0;
    font-size: 18px;
    transition: all .5s ease;
    text-transform: none;
}
form#searchform input[type="submit"]:hover{
    background: var(--beon-limegreen-color);
    /* background: var(--beon-limegreen-color) url('/wp-content/themes/krebs/assets/images/serch-icon.svg') no-repeat center center; */
}
input.button_btn:hover {
    opacity: 1;
}
form input.button_btn:hover {
    background: var(--button-color);
}
form#searchform {
    background: var(--beon-form-background);
    display: flex;
    height: auto;
    min-height: auto;
    margin: 0 auto;
    border-radius: 0;
    position: relative;
    width: max-content;
    justify-content: space-between;
    align-items: center;
    font-size: var(--beon-extrasmall-font);
    margin-bottom: -40px;
    /* z-index: 1; */
    box-shadow: 0 0 60px rgb(6 30 98 / 8%);
}
form:after {
    display: none !important;
}
.form-group:not(.wrap-region)::after {
    content: '';
    position: absolute;
    right: 0px;
    background: #EDEEEF;
    width: 1px;
    height: 100%;
    top: 50%;
    transform: translate(0, -50%);
  }
  

.toggleGuests.form-tooltip:after {
	border-color: var(--button-color) transparent transparent transparent;
}

form#searchform .form-group input[type="submit"] {
    background: var(--button-color);
    color: var(--beon-text-green-color);
    cursor: pointer;
    outline: none;
    border: none;
    height: 100%;
    border-radius: 9999px;
    padding: 13px 14px;
    line-height: normal;
    min-width: 171px;
}
form#searchform .beon-fp-switch{
    position: relative;
    display: inline-block;
    width: 56px;
    height: 30px;
}
form#searchform .beon-fp-switch #petsSwitch{
    opacity: 0;
    height: 0;
    width: 0;
}
form#searchform .fp-pets-toggle-wrapper{
    display: flex;
    justify-content: space-evenly;
    width: 33%;
    gap: 10px;
    align-items: center;
    padding-right: 15px;
}
form#searchform input:checked + .beon-fp-slider {
    background-color: #bdcd00;
}
form#searchform input:checked + .beon-fp-slider:before{
    /* background-color: #45ac55; */
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}
form#searchform .beon-fp-switch .beon-fp-slider{
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #d6e6e9;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 50px;
    
}
form#searchform .beon-fp-switch span.beon-fp-slider::before {
    content: "";
    position: absolute;
    height: 30px;
    width: 30px;
    left: 0;
    bottom: 0;
    background: #5D8690;
    border-radius: 50px;
    -webkit-transition: .4s;
    transition: .4s;
}


.form-group.guest_input.guest_input1 {
  margin-left: 25px;
}
.form-group input::placeholder{
    color: #333;
}
.form-group input[type="text"]::placeholder{
    color: var(--text-color);
}
.form-group input:-moz-placeholder { /* Firefox 18- */
color:var(--text-color) !important;
opacity: 1 !important;  
}
 
.form-group input::-moz-placeholder {  /* Firefox 19+ */
color: var(--text-color) !important;  
opacity: 1 !important; 
}
.icon-wrapper svg {
    width: 16px !important;
    display: inline-block;
}

.advance-search-form .form-group {
    display: inline-block;
    margin-bottom: 0;
    padding: 0;
}

.toggleGuests {
    display: none;
    position: fixed;
    background-color: var(--beon-form-background);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    padding: 2rem;
    width: 25vw;
    border-radius: 5px;
}

.toggleGuests>div {
    display: flex;
    padding: 10px 0px 10px 0px;
    align-items: center;
    justify-content: space-between;
    color: var(--beon-text-color);
    font-size: var(--beon-body-font-size);
    font-weight: 400;
    line-height: normal;
    gap: 5px;
}

.toggleGuests .numberadjust-wrapper button, .toggleGuests .numberadjust-wrapper button:hover, .toggleGuests .numberadjust-wrapper button:focus{
    min-width: 30px;
    height: 30px;
    background: var(--beon-text-green-color);
    display: grid;
    place-items: center;
}
.toggleGuests {
    .numberadjust-wrapper {
        display: flex;
        align-items: center;
        justify-content: space-around;
        width: 100px;
        gap:5px;
    }
}


.toggleGuests label span {
    padding-right: 5px;
}

form .toggleGuests #calcGuests {
    width: 100%;
    cursor: pointer;
    text-align: center;
    color: var(--link-color);
    display: flex;
    justify-content: center;
    font-weight: var(--beon-regular);
    align-items: center;
    gap: 10px;
    padding: 5px 15px;
}

#nights {
	visibility: hidden;
	display: none;
}
.toggleGuests .gaste_modal_number button, .toggleGuests .gaste_modal_number button:hover{
    background-color: var(--beon-steel-color) !important;
    width: 30px !important;
    height: 30px !important;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}


.toggleGuests button, .toggleGuests button:hover, .toggleGuests button:focus {
    padding: 0;
    height: auto;
    display: flex;
    border: none;
    outline: none;
    background: none;
    background-color: transparent;
    cursor: pointer;
}
.toggleGuests button img {
    width: 25px;
    height: 25px;
}

.toggleGuests label {
	margin: 0;
    display: flex;
    width: 60%;
    justify-content: center;
}
.wrap-guests .toggleGuests label{
    width:40%;
    gap:20px;
    align-items: center;
} 
.toggleGuests label p {
	margin: 0;
	padding-left: 3px;
}
.countbutton-wrapper {
	padding-right: 30px;
	margin-left: 15px;
	display: flex;
}
.guest-footer {
    background: var(--beon-steel-color);
    color: var(--link-color);
    padding: 5px;
    border-radius: 0px;
    margin-top: 30px;
}

#guests {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: start;
	background: var(--form-background);
	background: transparent;
	cursor: pointer;
    padding-left: 45px !important;
    z-index: 0;
    position: relative;
}
.modal-header{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    border-bottom: 1px solid #DDD6CC;
    margin-bottom: 20px;
}
.searchform #guests{
        line-height: 44px;
}

.searchform .form-group.wrap-guests.bg-white{
    padding: 0;
}

#calender-wrapper {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 2rem;
    z-index: 222 !important;
    background-color: var(--beon-form-background);
    bottom: auto;
    border-radius: 5px;
}

#calender_select {
    background: var(--beon-steel-color) ;
    color: var(--link-color);
    border: none;
    outline: none;
    /* border-bottom-right-radius: var(--border-radius); */
    width: 100%;
    cursor: pointer;
    background-size: 14px;
}
#calender_select:hover{
    background-color: #707173;
    color: #c1d100;
}
div#nights-wrapper {
	background-color: var(--form-background);
	display: flex;
	justify-content: space-between;
	display: none;
    border-bottom-left-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
    align-items: end;
}
.nights_min-wrapper.nightselect-wrapper, .nights_max-wrapper.nightselect-wrapper  {
    position: relative;
    border: 1px solid var(--beon-text-green-color);
    border-radius: 0px;
    padding: 8px 30px 8px 20px;
    background: url('/wp-content/themes/krebs/assets/images/down-arrow.svg') no-repeat center right 10px;
    background-size: 15px;
    width:115px;
    border:1px solid #EDEEEF;
}
[lang="en-US"] .nights_min-wrapper .select-selected::before{
    content: "At least";
}
.nights_min-wrapper .select-selected::before {
	content: "Mindestens";
	padding-right: 5px;
	font-size: 12px;
    line-height: 12px;
}
.select-selected font{
    line-height:normal;
}

[lang="en-US"] .nights_max-wrapper .select-selected::before{
    content: "Maximum";
}

.nights_max-wrapper .select-selected::before {
	content: "Maximal";
	padding-right: 5px;
	font-size: 12px;
    line-height: 12px;
}


form #nights_min,
form #nights_max {
	border: none;
}

.night-label {
	padding: 12px;
	display: flex;
    align-items: center;
}

#calcNights {
	display: flex;
	justify-content: space-evenly;
	align-items: center;
    width: -webkit-fill-available;
    gap:5px;
}

#nights-wrapper{
    gap:10px;
}


/*Select2*/
form .select2-container {
	height: 100%;
    width: 100% !important;
}

.select2-container .select2-choice {
	padding: 5px 10px;
	height: 72px;
	width: 132px;
	font-size: 1.2em;
	background-color: grey;
}

.select2-container--default .select2-selection--single {
	border: none;
	background: transparent;
}

.wrap-regions .select2-container .select2-selection--single{
    padding-left: 45px;
}
.select2-container .select2-selection--single {
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: start;
	width: 100%;
	outline: none;
}
.select2-container .select2-selection--single:focus {
	outline: none;
}

span.select2-selection__arrow {
	opacity: 0;
}

.select2-container--default .select2-results>.select2-results__options {
	max-height: 400px;
}

.select2-results__option:first-child, .select2-results__option:first-child:hover{
    border-top: 0;
}

span#select2-nights_min-container::before {
	content: "Mindestens ";
}

span#select2-nights_max-container::before {
	content: "Maximal ";
}

.nightselect-wrapper select {
	display: none;
	/*hide original SELECT element:*/
}
.wrap-regions .select2-selection__rendered {
    max-width: 150px;
    line-height: 80px !important;
    padding-left: 0px !important;
}
.select-selected {
	display: flex;
	align-items: flex-start;
	justify-content: center;
	flex-direction: column;
	height: 100%;
    line-height:normal;
    gap: 2px;
}

/*style the items (options), including the selected item:*/
.select-items div,
.select-selected {
	color: inherit;
	cursor: pointer;
	user-select: none;
    min-width: max-content;
}

.select-items div {
	border-bottom: 1px solid var(--border-color);
	padding: 10px 15px;
    text-align: left;
}

/*style items (options):*/
.select-items {
	position: absolute;
	background-color: var(--form-background);
	top: 43px;
	left: 0;
	min-width: 150px;
	right: 0;
	z-index: 99;
	max-height: 300px;
	overflow-y: scroll;
}

.select-hide {
	display: none;
}

.select-items div:hover {
	background-color:#EFEFEF;
}

.bg-white{
    background-color: white;
    border-radius: 9999px;
    padding: 13px 14px 13px 40px;    
    margin-right: 20px;
    line-height: normal;
}

.searchform .wrap-regions .select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 44px;
}

 .searchform .form-group.wrap-regions.bg-white{
    padding:0px;
 }

.lh-normal{
    line-height: normal;
}

.search_btn{
    padding-left: 0px;
}
.search_btn .icon-wrapper{
    left: unset;
    right: 15px;
}

.search_btn .icon-wrapper img{
    width: 15px;
    height: 15px;
}

#dark-bg-overlay {
    display: none;
    position: fixed;
    padding: 0;
    margin: 0;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(2px);
    z-index: 10;
}

#calender-close,
#guests-close,
#filter-close,
#map-close {
    background-color: var(--beon-steel-color);
    border-radius: 50%;
    /* border: 1px solid var(--beon-popup-border-color); */
    position: absolute;
    top: -10px;
    right: -10px;
    width: 32px !important;
    height: 32px !important;
    object-fit: contain;
    padding: 0.3rem;
    cursor: pointer;
    display:flex;
    justify-content: center;
    align-items: center;
}

#calender-close img,
#guests-close img,
#filter-close img,
#map-close img{
    width: 25px !important;
    height: 25px !important;
    object-fit: cover;
}
#map-close {
    z-index: 11;
}

.toggleGuests>div.gaste_wrapper{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap:10px;
    border-bottom: 1px solid #DDD6CC;
    margin-bottom: 20px;
    padding-bottom: 20px;
}

.toggleGuests>div.gaste_wrapper h3{
    margin: 0;
    text-transform: uppercase;
}

h3, h4, h5, h6{
    font-weight: 400;
}

div.litepicker div.container__months, #searchform div#nights-wrapper{
    background-color: transparent;
}
.litepicker .container__days .day-item{
    line-height: 25px;
}

.button-previous-month, .button-next-month{
    line-height: 0 !important;
}

.favourite_wrapper .favouritebtn{
	position: absolute;
    right: 15px;
    top: 15px;
}
.favourite_wrapper .favouritebtn button{
	width: 0;
    margin: 0;
    height: 0;
    padding: 0;
    font-size: 0;
    cursor: pointer;
    background-color: transparent;
    display: block;
    position: relative;
    border:0;
}
.favourite_wrapper .simplefavorite-button::before {
    content: "";
    background-image: url(/wp-content/themes/krebs/assets/images/heart-regular.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    width: 20px;
    top: 0;
    height: 20px;
    right: 0;
    z-index: 1;
}

.favourite_wrapper .simplefavorite-button:focus {
	outline: none;
	border: none;
}

.favourite_wrapper .simplefavorite-button.active {
	opacity: 1 !important;
}
.favourite_wrapper .simplefavorite-button.active::before, .favourite_wrapper .simplefavorite-button:hover::before {
    background-image: url(/wp-content/plugins/beon-voffice/assets/images/heart-solid.svg);
    filter: brightness(0) saturate(100%) invert(100%) sepia(1%) saturate(0%) hue-rotate(357deg) brightness(102%) contrast(101%);
}

form#searchform #range .till-date-wrapper:empty{
    display: none;
}

form#searchform #range .till-date-wrapper:before {
    content: "-";
    padding-right: 5px;
    padding-left: 5px;
}

.first_img_slider .elementor-swiper-button:hover{
    svg .cls-1, svg .s0{
        fill: var(--beon-yellow-color);
    }
    svg .cls-2, svg .s1{
        fill: var(--beon-text-green-color);
    }
}
.wrap-regions{
    line-height: 0px !important;
    padding-left: 0px !important;
}
.wrap-guests{
    padding-left: 0px !important;
}
.rating-wrapper .rating_voting_text{
    height: 24px;
    bottom: 50px;
    position: absolute;
    display: block;
    padding-right: 10px;
    padding-left: 10px;
    white-space: nowrap;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 3px;
    font-size: 13px;
    line-height: 22px;
    left: 10px;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease 0s;
}
.rating-wrapper:hover .rating_voting_text{
    bottom: 32px;
    display: block;
    left: 10px;
    opacity: 1;
    visibility: visible;
    transition: all 0.3s ease 0s;
}
.rating-wrapper:hover .rating_voting_text{
    left: -5px;
}
.rating-wrapper .rating_voting_text:after {
    width: 10px;
    height: 10px;
    bottom: -7px;
    position: absolute;
    display: block;
    background-color: #fff;
    border-top: 0px solid #ddd;
    border-radius: 3px;
    left: 8px;
    border-right: 0px solid #dddddd;
    border-bottom: 2px solid #dddddd;
    border-left: 1px solid #dddddd;
    content: "";
    transform: rotate(-45deg);
}
.modal-header h3{
    margin: 0;
}
@media only screen and (max-width:1540px) and (min-width:1024px){
    .wrap-guests .toggleGuests{
        width:40vw;
    }
}

@media only screen and (max-width: 1024px){
    /* form#searchform {
        height: auto;
        min-height: 70px;
    } */
    .form-group{
        min-width: 170px;
    }
    form#searchform input[type="submit"]{
        width:100px;
    }
    .wrap-range, .wrap-region, .wrap-guests, form select, form .select2-container {
		min-height: 40px;
	}
    #nights-wrapper {
		flex-wrap: wrap;
	}
    #calender-wrapper {
        position: fixed;
        z-index: 22 !important;
        left: 50%;
        height: max-content;
        top: 50% !important;
        transform: translate(-50%, -50%);
        background: var(--beon-form-background);
        /* width: 80vw; */
    }
    #calender_select {
        /* border-bottom-right-radius: var(--border-radius);
        border-bottom-left-radius: var(--border-radius); */
        margin-top: 10px;
    }
    .select-items  {
        top: 43px;
    }
    .night-label {
        display: none;
    }
    .form-tooltip:after {
        display: none;
    }
    .bg-white{
        width: 100%;
    }
    .search_btn{
        width: 100%;
        margin-top:11px   
    }

    .toggleGuests{
        width: 50vw;
        padding: 20px;
    }

    .search_btn .icon-wrapper{
		right: 35%;
	}
    /* .wrap-regions .select2-container .select2-selection--single, #guests{
        justify-content: start;
        padding-left: 30px;
    } */
    .from-date-wrapper{
        text-align: start;
    }
    .wrap-regions .select2-container .select2-selection--single .select2-selection__rendered, #searchform .form-group{
        padding-left: 0;
    }
    #guests, #searchform .select2-container .select2-selection--single{
        justify-content: start;
    }
    .wrap-regions .select2-selection, #searchform .dateInput, #guests{
        padding-left: 50px;
    }
    
}


@media screen and (max-width:767px) {
    #searchform {
        flex-direction: column;
        flex-wrap: wrap;
        max-width: 100%;
        height: auto;
        align-items: baseline !important;
        min-width: 60%;
        margin-bottom:-25px !important;
    }
    .form-group:not(.wrap-region)::after {
        width: 100%;
        height: 1px;
        bottom: 0;
        top: unset;
    }
    form#searchform input[type="submit"] {
        width: 100%;
        border-radius: 0;
        height: 50px;
    }
    .form-group {
        min-height: 40px;
        min-width: 300px;
    }
    .toggleGuests>div.gaste_wrapper, .toggleGuests>div.gaste_wrapper h4{
        margin: 0;
    }
    .toggleGuests{
        width: 90vw;
    }
     #serach_mobile.fixed_serach_btn a{
        min-width: 100%;
        padding-top: 15px;
        padding: 0 !important;
        border-radius: 0 !important;
    }
    form#searchform input[type="submit"]{
        border-radius: 0;
    }
    .search_btn .icon-wrapper{
        right: 32%;
    }
    #serach_mobile.fixed_serach_btn{
        position: fixed;
        left: 20px;
        right: 20px;
        bottom: 20px;
        margin: 0;
        padding: 0;
        width: auto;
        display: block;
    }
    .home .footer{
        z-index: 9;
    }
    .toggleGuests>div{
        padding: 5px 0px 5px 0px;
    }
    .toggleGuests .gaste_modal_number button, .toggleGuests .gaste_modal_number button:hover{
        width: 20px !important;
        height: 20px !important;
    }
    #calender-wrapper{
        padding: 0.5rem !important;
        /* width: 90vw; */
    }
    form#searchform .beon-fp-switch{
        height: 22px;
        width: 45px;
    }
    form#searchform .beon-fp-switch span.beon-fp-slider::before{
        height: 22px;
        width: 22px;
    }
}